NetSDS::Util::Misc(3pm)

NAME
NetSDS::Util::Misc - miscelaneous utilities

SYNOPSIS
        use NetSDS::Util::Misc;

DESCRIPTION
"NetSDS::Util::Misc" module contains miscelaneous functions.

EXPORTED FUNCTIONS

cmp_version($ver1, $ver2) - compare versions
    Funcion comapres two version strings.

usage(...) - print "usage" text
    This function is wapper to Pod::Usage module printing POD to STDERR.

get_cli(...) - get CLI parameters
    Return command line arguments

make_uuid() - make UUD string
    Create upper case UUID string.

csv_num($num) - format number for CSV
    Parameters: numeric value

    Returns: CSV formatted

format_msisdn($msisdn) - format MSISDN
    Parameters: phone number

    Returns: well formed MSISDN without leading +.

EXAMPLES
None

BUGS
None

TODO
1. Add other encodings support

SEE ALSO
Pod::Usage, Data::UUID

AUTHORS
Valentyn Solomko <pere@pere.org.ua>

Michael Bochkaryov <misha@rattler.kiev.ua>